Redmine - Defect #14466

Wrap long issue fields in issue pdf header
2013-07-16 00:23 - Filou Centrinov

Status: Closed
Priority: Normal
Assignee:

Category: PDF export
Target version: 2.6.0

Resolution:

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

This patch wraps long issue fields in the issue pdf header. This works for all issue fields in the header (also for long custum fields).

Before:
Status: New Start date:
Priority: Normal Due date:
Assignee: John Michael % Done:
Category: Estimated time:
Target version: This is a very long name for a version whi¢Speaidimsalk.
Description

After:
Status: MNew Start date:
Priority: Normal Due date:
Assignee: John Michael % Done:
Category: Estimated time:
Target version: This is a vary long name for a version Spent time:

which could break.

Description

Related issues:

Related to Redmine - Defect #11839: Text overlay when exporting issues to pdf...
Related to Redmine - Defect #16335: exporting issue as pdf --> text out of box

Confirmed
Closed

History

#1 - 2013-07-16 08:19 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2013-10-16 10:40 - Daniele Pedroni

Great, +1!

This looks like a simple and straight-forward solution for a really annoying problem, no way to introduce it for 2.4.0 release?

It would be really appreciated.

#3 - 2013-11-20 01:49 - Mischa The Evil

- Related to Defect #11839: Text overlay when exporting issues to pdf files added

#4 - 2014-04-10 14:50 - Toshi MARUYAMA

- Related to Defect #16335: exporting issue as pdf --> text out of box added

#5 - 2014-05-19 16:55 - Daniel Ritz

+1

Same problem for me too. The patch solves the problem nicely. Thanks.

#6 - 2014-10-18 13:05 - Toshi MARUYAMA

2025-08-23
- Tracker changed from Patch to Defect
- Status changed from New to Closed

- Target version changed from Candidate for next major release to 2.6.0

Fixed by #17570.
